Description

Currently, there is no way to do a disjoint search over a single field. Normally this isn't a problem since you can use the list selection

to get what you want. For 'Status' however, there is an extra property of each status as to whether it is 'open' or 'closed'. A search for

something like "open, but not in feedback" isn't possible without knowing which statuses are open and which are closed. The

simplest thing I can think of is to add a search field for 'Status Type' which would search on the open/closed flag of the issue's status

field. Alternatively, adding support for disjunctions over a single field would be useful (and more general to boot).

Related issues:

Related to Redmine - Feature #38402: "Any searchable text" filter for issues Closed

History

#1 - 2013-09-30 06:16 - Toshi MARUYAMA

- Tracker changed from Defect to Feature

#2 - 2024-06-20 11:33 - Go MAEDA

- File clipboard-202406201823-aurjh.png added

- Status changed from New to Closed

- Resolution set to Wont fix

Redmine 5.1 introduces a new filter named "Any searchable text" (#38402). This filter returns the same results as the search box. By combining the

"Any searchable text" filter with the "Status" filter, you can narrow down the search results based on the status value.
#3 - 2024-06-20 11:33 - Go MAEDA

- Related to Feature #38402: "Any searchable text" filter for issues added
